# Uses of Class
org.eclipse.microprofile.openapi.apps.airlines.model.Flight

Packages that use Flight
Package
Description
org.eclipse.microprofile.openapi.apps.airlines.model
Copyright (c) 2017 Contributors to the Eclipse Foundation

## Uses of Flight in org.eclipse.microprofile.openapi.apps.airlines.model

Methods in org.eclipse.microprofile.openapi.apps.airlines.model that return Flight
Modifier and Type
Method
Description
`Flight`
Booking.`getDeparttureFlight()`
`Flight`
Booking.`getReturningFlight()`
Methods in org.eclipse.microprofile.openapi.apps.airlines.model that return types with arguments of type Flight
Modifier and Type
Method
Description
`List<Flight>`
Airport.`getFlights()`
Methods in org.eclipse.microprofile.openapi.apps.airlines.model with parameters of type Flight
Modifier and Type
Method
Description
`void`
Booking.`setDeparttureFlight(Flight departtureFlight)`
`void`
Booking.`setReturningFlight(Flight returningFlight)`
Constructor parameters in org.eclipse.microprofile.openapi.apps.airlines.model with type arguments of type Flight
Modifier
Constructor
Description
``
`Airport(List<Flight> flights, Weather weather)`